.gpa-months-graphs {
  display: grid;
  align-items: center;
  grid-template-columns: 1fr auto 1fr;

  &__line {
    $height: 35px;

    &__title {
      display: inline-flex;
      overflow: hidden;
      height: $height;
      align-items: center;
      padding: var(--spacer-default) var(--spacer-default);
      border-bottom: 1px solid var(--border-color);
      gap: var(--spacer-default);
      text-overflow: ellipsis;
      white-space: nowrap;
    }

    &__graph {
      max-width: 60vw;
      height: $height;
      border-bottom: 1px solid var(--border-color);
    }

    &__actions {
      height: $height;
      padding: var(--spacer-small) var(--spacer-default);
      border-bottom: 1px solid var(--border-color);
      text-align: right;
    }
  }

  &--graph-only {
    grid-template-columns: unset;
  }
}
